Subject: bug#78308: closed (Re: [bug#78308] [PATCH v3 10/10] news: Add news entry for etc-bashrc-d-service-type.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 May 2025 13:03:02 +0000

Your bug report

#78308: [PATCH 0/9] VTE integration support / Shell startup files refactor

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78308: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78308
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#78308] [PATCH v3 10/10] news: Add news entry for etc-bashrc-d-service-type.
From: Maxim Cournoyer <[email-masked]>
To: Sergey Trofimov <[email-masked]>
Cc: Luis Guilherme Coelho <[email-masked]>, Rutherther <[email-masked]>, Julien Lepiller <[email-masked]>, [email-masked], Florian Pelz <[email-masked]>
Date: Mon, 26 May 2025 22:02:23 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Maxim Cournoyer <[email-masked]> writes:

> Hi Sergey,
>
> Sergey Trofimov <[email-masked]> writes:
>
>> Hi Maxim,
>>
>> a follow-up to my previous reply containing my proposal materialised to
>> a patch.
>>
>> From c674d1fdf83bb1bc7930b48f9c0333f2936563d2 Mon Sep 17 00:00:00 2001
>> Message-ID: <[email-masked]>
>> From: Sergey Trofimov <[email-masked]>
>> Date: Tue, 20 May 2025 13:18:29 +0200
>> Subject: [PATCH] source profile.d as intended
>
> Would you mind to rebase this change on current master, where I've
> merged this series without this last addition (for now) ?  I'd like some
> extra time to play with it/test it.  Could you create a new PR for it on
> our Codeberg?

Closing this one for now!  Please add me as reviewer after you could
submit your improvement on top in a Codeberg PR!

-- 
Thanks,
Maxim

Subject: [PATCH 0/9] VTE integration support / Shell startup files refactor
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: Maxim Cournoyer <[email-masked]>
Date: Thu, 8 May 2025 14:47:54 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

The aim of this series was ultimately to add VTE integration support out of
the box, resolving <https://issues.guix.gnu.org/72172>.  In order to do so, I
introduce the new etc-profile-d-service-type and etc-bashrc-d-service-type
service types.

While at it, define SYS_BASHRC in our Bash package to treat /etc/bashrc as a
first class startup file, and get rid of /etc/skel/.bashrc, whose
functionality is moved to /etc/bashrc or /etc/bashrc.d/aliases.sh and
/etc/bashrc.d/bash_completion.sh.

To test, I've used:

--8<---------------cut here---------------start------------->8---
make check-system TESTS='basic openssh dropbear'
--8<---------------cut here---------------end--------------->8---

as well as live testing in a GNOME desktop VM to validate the VTE integration.

Thank you,

Maxim Cournoyer (9):
  system: Source scripts from the /etc/profile.d directory.
  services: Add etc-profile-d-service-type.
  gnu: bash: Define the SYS_BASHRC macro.
  system: Source scripts from the /etc/bashrc.d directory.
  services: Add etc-bashrc-d-service-type.
  system: Migrate sourcing bash_completion.sh to
    etc-bashrc-d-service-type.
  system: Factorize bashrc default configuration.
  services: Add vte-integration-service-type.
  services: Add vte-integration-service-type to %desktop-services.

 doc/guix.texi                |  57 ++++++++++++++++-
 gnu/home/services/shells.scm |  14 ++---
 gnu/packages/bash.scm        |  20 ++++++
 gnu/services.scm             | 116 +++++++++++++++++++++++++++++++++++
 gnu/services/base.scm        |   5 +-
 gnu/services/desktop.scm     |   4 ++
 gnu/system.scm               |  43 ++++++-------
 gnu/system/shadow.scm        |  21 +++----
 gnu/tests/base.scm           |  45 +++++++++++++-
 9 files changed, 278 insertions(+), 47 deletions(-)

base-commit: 9d9a6291c4e61f3af71e94e549926bd9905e99db
-- 
2.49.0